1.2

1.2

post /v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules

Description

Transit Gateway Uplink 규칙 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
bodybody
required

TransitGatewayUplinkRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayUplinkRuleCreateResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "description": "Routing Rule Description",
    "destination_cidr": "192.167.5.0/24",
    "destination_type": "ON_PREMISE"
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "description": "Routing Rule Description",
        "destination_cidr": "192.167.5.0/24",
        "destination_type": "ON_PREMISE",
        "id": "43772aff4539403d9ba74bf1fdaa00c8",
        "state": "ACTIVE"
    }
}